Request Fixture Information
Retrieves fixture information identified by fixture ID, requires use of API key (Header: X-Casambi-Key).
HTTP Request:
GET https://door.casambi.com/v1/fixtures/{id}
Path Parameters:
id: fixtureId
CURL Example:
curl "https://door.casambi.com/v1/fixtures/FIXTURE-ID-HERE" \
-H "X-Casambi-Session:SESSION-ID-HERE" \
-H "X-Casambi-Key:API-KEY-HERE"
Response Example
{
"id": 23456,
"type": "Driver",
"vendor": "Oktalite Lichttechnik GmbH",
"model": "Oktalite AGIRA PLUS",
"translations": {},
"controls": [
{
"type": "button",
"name": "Button",
"buttonLabel": "Button",
"dataname": "button",
"id": 0,
"readonly": true
},
{
"type": "dimmer",
"id": 1,
"readonly": false
},
{
"type": "rgb",
"id": 7,
"readonly": false
},
{
"type": "temperature",
"id": 25,
"readonly": false
},
{
"type": "colorsource",
"id": 31,
"readonly": false
},
{
"type": "slider",
"name": "Slider",
"unit": "",
"id": 33,
"readonly": false,
"valueType": "FLOAT"
}
]
}